Bug 192727 - textproc/p5-YAML update to 1.09
Summary: textproc/p5-YAML update to 1.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 192726
Blocks: 192735
  Show dependency treegraph
 
Reported: 2014-08-17 03:26 UTC by Sergei Vyshenski
Modified: 2014-09-06 14:01 UTC (History)
2 users (show)

See Also:


Attachments
patch for updating port (3.02 KB, patch)
2014-08-17 03:26 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (17.13 KB, text/plain)
2014-08-17 03:27 UTC, Sergei Vyshenski
no flags Details
patch for updating port (3.05 KB, patch)
2014-08-18 20:27 UTC, Sergei Vyshenski
no flags Details | Diff
patch for updating port (3.05 KB, patch)
2014-08-18 20:28 UTC, Sergei Vyshenski
no flags Details | Diff
patch for updating port (3.02 KB, patch)
2014-08-21 20:33 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (17.61 KB, text/plain)
2014-08-21 20:33 UTC, Sergei Vyshenski
no flags Details
patch for updating port (3.05 KB, patch)
2014-08-25 19:46 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (17.55 KB, text/plain)
2014-08-25 19:46 UTC, Sergei Vyshenski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2014-08-17 03:26:50 UTC
Created attachment 145900 [details]
patch for updating port

- Update to 1.06
- Add RUN_DEPENDS on new port devel/p5-Test-YAML (cf PR 192726)
- Can take maintainership if this can be of help.

Tested on FreeBSD-10.0-amd64 (log attached) with:
poudriere testport -j 10-amd64 -o textproc/p5-YAML > p5-YAML.log
Comment 1 Sergei Vyshenski 2014-08-17 03:27:16 UTC
Created attachment 145901 [details]
log from poudriere
Comment 2 John Marino freebsd_committer 2014-08-17 07:47:53 UTC
over to maintainer
Comment 3 Kurt Jaeger freebsd_committer 2014-08-17 17:54:20 UTC
Build-tested, works. Please approve.
Comment 4 Sergei Vyshenski 2014-08-18 20:27:00 UTC
Created attachment 146008 [details]
patch for updating port

Follow advice of culot@ and revert to conservative Anzatz:

RUN_DEPENDS:=	BUILD_DEPENDS

which is considered a standard for perl ports.
Thank you Frederic.
Comment 5 Sergei Vyshenski 2014-08-18 20:28:03 UTC
Created attachment 146009 [details]
patch for updating port
Comment 6 Sergei Vyshenski 2014-08-21 20:33:12 UTC
Created attachment 146128 [details]
patch for updating port

As time goes, we already have ver 1.09

Uploading a new patch for update 0.87 --> 1.09
and a new log from poudriere.
Comment 7 Sergei Vyshenski 2014-08-21 20:33:31 UTC
Created attachment 146129 [details]
log from poudriere
Comment 8 Sergei Vyshenski 2014-08-25 19:46:07 UTC
Created attachment 146269 [details]
patch for updating port

Fixing a typo in Makefile.
Uploading a new shar and a new log from poudriere.
Comment 9 Sergei Vyshenski 2014-08-25 19:46:26 UTC
Created attachment 146270 [details]
log from poudriere
Comment 11 Kurt Jaeger freebsd_committer 2014-09-06 12:27:36 UTC
(In reply to Sergei Vyshenski from comment #9)
> Created attachment 146270 [details]
> log from poudriere

If the system already has the 0.87 version of p5-YAML installed, and
the p5-Test-YAML is not yet installed, the build tries to add p5-Test-YAML,
and fails, because it conflicts with the old p5-YAML.

So: devel/p5-Test-YAML needs

CONFLICTS=      p5-YAML-0.*

Would you as the maintainer approve adding this to devel/p5-Test-YAML ?
Comment 12 Sergei Vyshenski 2014-09-06 12:46:52 UTC
Yes, thank you very much.

I thought about it.  Should have done this myself, but was afraid to make things with multiple interdependent PRs even more clogged.
Comment 13 commit-hook freebsd_committer 2014-09-06 13:57:40 UTC
A commit references this bug:

Author: pi
Date: Sat Sep  6 13:57:10 UTC 2014
New revision: 367437
URL: http://svnweb.freebsd.org/changeset/ports/367437

Log:
  devel/p5-Test-YAML: add CONFLICTS with p5-YAML-0.*

  PR:		192727
  Approved by:	Sergei Vyshenski <svysh.fbsd@gmail.com>

Changes:
  head/devel/p5-Test-YAML/Makefile
Comment 14 commit-hook freebsd_committer 2014-09-06 14:00:41 UTC
A commit references this bug:

Author: pi
Date: Sat Sep  6 14:00:01 UTC 2014
New revision: 367438
URL: http://svnweb.freebsd.org/changeset/ports/367438

Log:
  textproc/p5-YAML: 0.87 -> 1.11

  http://cpansearch.perl.org/src/INGY/YAML-1.11/Changes

  PR:		192727
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	tobez (maintainer timeout)

Changes:
  head/textproc/p5-YAML/Makefile
  head/textproc/p5-YAML/distinfo
  head/textproc/p5-YAML/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2014-09-06 14:01:11 UTC
Committed, thanks!